### Method

# Xdp Portal open_pipewire_remote_for_camera

#### Declaration [src]

    int
    xdp_portal_open_pipewire_remote_for_camera (
      XdpPortal* portal
    )

#### Description [src]

Opens a file descriptor to the pipewire remote where the camera nodes are available.

The file descriptor should be used to create a pw_core object, by using pw_context_connect_fd(). Only the camera nodes will be available from this pipewire node.

#### Return value

Type: `int`

The file descriptor.